Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1194453 - typos and poor grammar in rhsmcertd man page
Summary: typos and poor grammar in rhsmcertd man page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris "Ceiu" Rog
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel68
TreeView+ depends on / blocked
 
Reported: 2015-02-19 20:19 UTC by John Sefler
Modified: 2016-05-10 20:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-10 20:36:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0797 0 normal SHIPPED_LIVE python-rhsm and subscription-manager bug fix and enhancement update 2017-01-06 16:31:50 UTC

Description John Sefler 2015-02-19 20:19:45 UTC
Description of problem:
There are a few typos and grammar improvements that can be made in the rhsmcertd man page.  See the comments that follow for each.

Version-Release number of selected component (if applicable):
[root@jsefler-os7 ~]# rpm -q subscription-manager
subscription-manager-1.13.19-1.el7.x86_64

Comment 1 John Sefler 2015-02-19 20:31:28 UTC
[root@jsefler-os7 ~]# man rhsmcertd | grep "certmgr"
       This rhsmcertd process invokes the certmgr.py  script  to  perform  the
              * /usr/share/rhsm/certmgr.py


I don't believe these statements about "certmgr.py" are accurate.  In fact...
[root@jsefler-os7 ~]# ls /usr/share/rhsm/certmgr.py
ls: cannot access /usr/share/rhsm/certmgr.py: No such file or directory

I think the rhsmcertd process invokes the /usr/libexec/rhsmcertd-worker script

Comment 2 John Sefler 2015-02-19 20:36:44 UTC
[root@jsefler-os7 ~]# man rhsmcertd | grep "autoattachInterval"
       rhsmcertd [certInterval autoattachInterval]
       rhsmcertd certInterval autoattachInterval
                              ^^^^^^^^^^^^^^^^^^
                                  ^
                                  ^
                                  ^
To be consistent with the value set in rhsm.conf, it would be better to change "autoattachInterval" to "autoAttachInterval".

[root@jsefler-os7 ~]# man rhsm.conf | grep -i "autoattachInterval"
       autoAttachInterval
[root@jsefler-os7 ~]# grep -i "autoattachInterval" /etc/rhsm/rhsm.conf
autoAttachInterval=1440

Comment 3 John Sefler 2015-02-19 20:38:07 UTC
[root@jsefler-os7 ~]# man rhsmcertd | head -1
rhsmcertd(8)                System Manager's Manual               rhsmcertd(8)
                            ^^^^^^^^^^^^^^^^^^^^^^^
It would be nicer to change "System" to "Subscription"

Comment 5 John Sefler 2015-02-24 16:24:33 UTC
Deferring to RHEL6.7 for resolution

Comment 6 Chris "Ceiu" Rog 2015-06-04 14:59:02 UTC
commit cf092e1f5f51a60f983b2feacc400d97250ff406
Author: Chris Rog <crog@redhat.com>
Date:   Thu Apr 9 10:50:09 2015 -0400

    1194453: Fixed typos and grammar issues in the rhsmcertd man page

Comment 9 Shwetha Kallesh 2015-12-09 10:01:12 UTC
marking verified!!

[root@pogo-cn1100-01 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.11-1
subscription management rules: 5.15
subscription-manager: 1.16.6-1.el6
python-rhsm: 1.16.4-1.el6


[root@pogo-cn1100-01 ~]# man rhsmcertd | head -1
rhsmcertd(8)                Subscription Management               rhsmcertd(8)


[root@pogo-cn1100-01 ~]# man rhsmcertd | grep "autoattachInterval"
[root@pogo-cn1100-01 ~]# man rhsmcertd | grep "autoAttachInterval"
       rhsmcertd certInterval autoAttachInterval

Comment 11 errata-xmlrpc 2016-05-10 20:36:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0797.html


Note You need to log in before you can comment on or make changes to this bug.